> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.rask.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run check face

> Run check face task for project id provided.



## OpenAPI

````yaml put /v2/projects/{project_id}/check_face
openapi: 3.1.0
info:
  title: Rask API documentation
  version: 0.2.0
servers:
  - description: API
    url: https://api.rask.ai
security: []
paths:
  /v2/projects/{project_id}/check_face:
    put:
      tags:
        - projects
      summary: Run check face
      description: Run check face task for project id provided.
      operationId: run_check_face_task_v2_projects__project_id__check_face_put
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project ID
            description: Project ID
      responses:
        '200':
          description: Check face task response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckFaceTaskResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CheckFaceTaskResponse:
      properties:
        check_face_task_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Check Face Task Status
          description: Check Face Task Status
          enum:
            - started
            - done
            - failed
      type: object
      title: CheckFaceTaskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````